Get preview formatted offer number for new document
Generates a preview formatted offer number that will be assigned when the document is created. This is used for UI display purposes only. Requires snapshotId to format with correct version.
GET
/projects/{projectId}/documents/preview-offer-number/{snapshotId}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredPath parameters
projectIdstringrequiredProject ID
snapshotIdstringrequiredSnapshot ID for version information
Responses
200Preview formatted offer number
formattedOfferNumberstring401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/projects/string/documents/preview-offer-number/string" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/projects/string/documents/preview-offer-number/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/projects/string/documents/preview-offer-number/string",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
{
"formattedOfferNumber": "WKM-1-v2-27012026-1"
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions